python-certifi: add github runtime test
authorEneas U de Queiroz <cotequeiroz@gmail.com>
Thu, 27 Jul 2023 19:51:39 +0000 (16:51 -0300)
committerJeffery To <jeffery.to@gmail.com>
Fri, 4 Aug 2023 04:09:41 +0000 (12:09 +0800)
This loads the module, which should return the path of the CA bundle
and verifies that the file exists.

Signed-off-by: Eneas U de Queiroz <cotequeiroz@gmail.com>
(cherry picked from commit 219edcfa31ed2c55dc6bc4af049c92451157cf23)
Signed-off-by: Jeffery To <jeffery.to@gmail.com>
lang/python/python-certifi/test.sh [new file with mode: 0644]

diff --git a/lang/python/python-certifi/test.sh b/lang/python/python-certifi/test.sh
new file mode 100644 (file)
index 0000000..b280216
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+case "$1" in
+       *-src)
+               ;;
+       python3-certifi)
+               BUNDLE=$(python3 -m certifi) || {
+                       echo "Failed to run the certfi module script.  Exit status=$?." >&2
+                       echo "Output='$BUNDLE'" >&2
+                       exit 1
+               }
+               ls -l "$BUNDLE"
+               ;;
+       *)
+               echo "Unexpected package '$1'" >&2
+               exit 1
+               ;;
+esac